Subject: linux-next: build failure after merge of the tip-fixes tree

From: Mark Brown <[email-masked]>
Date: Wed, 8 Apr 2026 13:44:08 +0100

Hi all,

After merging the tip-fixes tree, today's linux-next build (arm64 kunit)
failed like this:

[12:34:18] Configuring KUnit Kernel ...
[12:34:18] Building KUnit Kernel ...
Populating config with:
$ make ARCH=arm64 O=/tmp/next/arm64_kunit olddefconfig CROSS_COMPILE=aarch64-linux-gnu-
Building with:
$ make all compile_commands.json scripts_gdb ARCH=arm64 O=/tmp/next/arm64_kunit --jobs=192 CROSS_COMPILE=aarch64-linux-gnu-
[12:34:34] Starting KUnit Kernel (1/1)...
Running tests with:
$ qemu-system-aarch64 -nodefaults -m 1024 -kernel /tmp/next/arm64_kunit/arch/arm64/boot/Image.gz -append 'kunit.enable=1 console=ttyAMA0 kunit_shutdown=reboot' -no-reboot -nographic -accel kvm -accel hvf -accel tcg -serial stdio -machine virt -cpu max
Command '['qemu-system-aarch64', '-nodefaults', '-m', '1024', '-kernel', '/tmp/next/arm64_kunit/arch/arm64/boot/Image.gz', '-append', 'kunit.enable=1 console=ttyAMA0 kunit_shutdown=reboot', '-no-reboot', '-nographic', '-accel', 'kvm', '-accel', 'hvf', '-accel', 'tcg', '-serial', 'stdio', '-machine', 'virt', '-cpu', 'max']' timed out after 300 seconds
[12:39:34] [FAILED] <missing>
[12:39:34] Testing complete. Ran 0 tests: errors: 1
[12:39:34] Test results stored in /tmp/next/arm64_kunit.json
[12:39:34] Elapsed time: 316.083s total, 0.002s configuring, 16.074s building, 300.006s running

which isn't super helpful.  I haven't isolated which commit but it'll be
one of the three:

  b81207470caf ("clockevents: Prevent timer interrupt starvation")
  82b915051d32 ("tick/nohz: Fix inverted return value in check_tick_dependency() fast path")
  105c42566a55 ("ata: ahci: force 32-bit DMA for JMicron JMB582/JMB585")

which are new since yesterday, I'm guessing not the latter.  I have used
the tree from next-20260407 instead.